<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>1712480</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/50227afacd.js" crossorigin="anonymous"></script>
    <style>
        #main p.collapse:not(.show){
            height: 70px !important;
            overflow: hidden;

            display: -webkit-box;
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
        }

        #main p.collapsing {
            min-height: 50px !important;
        }

        .card:hover{
            cursor: pointer;
            border: 3px rgb(162, 162, 165) solid;
            transition: 0.5s ease;
        }

    </style>
</head>
<body>
    <nav class="navbar navbar-light bg-light">
        <a class="nav-link" href="main.html"><i class="fas fa-home"></i>  TRANG CHỦ</a>    
        <form class="form-inline" onsubmit="search(event)">
            <select class="custom-select">
                <option value="phim" selected>Phim</option>
                <option value="diễn viên">Diễn viên</option>
            </select>
            <input id="input" class="form-control mr-sm-2" type="search" placeholder="tên phim..." aria-label="Search">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Tìm kiếm</button>
        </form>
    </nav>

    <div class="container-fluid" style="min-height: 100vh;">
        <div class="row justify-content-around">
            <h1 class="display-4" id="title"></h1>
        </div>

        <div class="row justify-content-around">
            <div class="col-8" >
                <div class="row justify-content-around" id="main">
                    <!-- danh sách phim -->
                </div>
            </div>
        </div>
    </div>

    <div class="navbar navbar-light bg-light text-muted">
        Footer
    </div>

    <script>
        var root = 'https://api.themoviedb.org/3'
        var image = 'https://image.tmdb.org/t/p/w500';
        var apiKey = '72f2c8d144e53a3a45806d7138a530f8';
        var searchBy = 'phim'; //biến lưu trạng thái tìm kiếm

        // thay đổi trạng thái tìm kiếm khi người dùng chọn ở dropdown
        $('.custom-select').change(function(){
            searchBy = $(this).children("option:selected").val();
            $('#input').attr('placeholder', 'tên ' + $(this).children("option:selected").val() + '...');
        });

        // hàm mở trang thông tin phim khi người dùng click chuột vào thẻ
        function detail(id){
            window.open("detail.html" + "?id=" + id);
        }

        // hiệu ứng loading
        function loading(){
                $('#main').empty();
                $('#main').append(`
                    <div class="spinner-border" role="status">
                        <span class="sr-only">Loading...</span>
                    </div>
                `);
            }

        function fillFilms(films){
            $('#main').empty();
            if (searchBy == "phim"){
                for (const film of films.results){
                    $('#main').append(`
                        <div class="col-4">
                            <div class="card" onclick="detail(${film.id})">
                                <img src="${image + film.poster_path}" class="card-img-top" alt="${film.title}">
                                <div class="card-body">
                                    <h5 class="card-title">${film.title}</h5>
                                    <p class="card-text collapse" id="collapseOverview">${film.overview}</p>
                                    <p><i class="fas fa-fire" style="color: red;"></i> Rated: ${film.vote_average}</p>
                                </div>
                            </div>
                        </div>
                    `);
                }
            }
            else{
                //nếu tìm kiếm theo diễn viên thì chỉ lấy người đầu tiên từ kết quả API
                for (const film of films.results[0].known_for){
                    $('#main').append(`
                        <div class="col-4">
                            <div class="card" onclick="detail(${film.id})">
                                <img src="${image + film.poster_path}" class="card-img-top" alt="${film.title}">
                                <div class="card-body">
                                    <h5 class="card-title">${film.title}</h5>
                                    <p class="card-text collapse" id="collapseOverview">${film.overview}</p>
                                    <p><i class="fas fa-fire" style="color: red;"></i> Rated: ${film.vote_average}</p>
                                </div>
                            </div>
                        </div>
                    `);
                }
            }

        }

        //lấy phim mặc định (popular)
        async function defaultData(){
            $('#title').empty();
            $('#title').append(`<i class="fas fa-star" style="color: rgb(255, 0, 0);"></i>Phim đang thịnh hành:`);
            loading();

            const response = await fetch(`${root}/movie/popular?&api_key=${apiKey}`);
            const films = await response.json();
            
            //điền phim vào danh sách card
            fillFilms(films);
        }

        //tìm kiếm (theo phim hoặc diễn viên)
        async function search(e) {
            e.preventDefault(e);
            var query = $('form input').val();
            $('#title').empty();
            $('#title').append(`Kết quả tìm kiếm: ${query}`);
            loading();
            var films;

            if (searchBy == "phim"){
                const response = await fetch(`${root}/search/movie?api_key=${apiKey}&query=${query}`);
                films = await response.json();
            }
            else {
                const response = await fetch(`${root}/search/person?api_key=${apiKey}&query=${query}`);
                films = await response.json();
            }

            fillFilms(films);
        }

        $(document).ready(function(){
            defaultData();
        });
        
    </script>
</body>
</html>